(SOLUCIONADO) kernel panic tras dist-upgrade Ubuntu 10.04

Comentarios sobre el buen funcionamiento del sistema y como personalizarlo a tus necesidades.

Moderadores: doc, mcun

Responder
Avatar de Usuario
adrian_sl
Forista Nuevo
Forista Nuevo
Mensajes: 30
Registrado: Jue Dic 01, 2005 8:00 am

(SOLUCIONADO) kernel panic tras dist-upgrade Ubuntu 10.04

Mensaje por adrian_sl »

Buenas, el caso es que ayer me dio por hacer un aptitude dist-upgrade en mi Ubuntu 10.04, y cuando reinicié me dio un kernel panic. En concreto pone:
loading, please wait....
init: . : line 55: can't open /scripts/functions
kernel panic - not syncing: Attempted to kill
Pid: 1, comm: init Not tainted 2.6.32-24-generic

He probado con el modo recuperación y tampoco entra.

Esto es lo que se me actualizó.

Código: Seleccionar todo

 
[ACTUALIZA] adobe-flashplugin 10.1.82.76-1lucid1 -> 10.1.85.3-1lucid1
[ACTUALIZA] avahi-autoipd 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] avahi-daemon 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] avahi-utils 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] bzip2 1.0.5-4 -> 1.0.5-4ubuntu0.1
[ACTUALIZA] coreutils 7.4-2ubuntu2 -> 7.4-2ubuntu3
[ACTUALIZA] dpkg 1.15.5.6ubuntu4.2 -> 1.15.5.6ubuntu4.3
[ACTUALIZA] dpkg-dev 1.15.5.6ubuntu4.2 -> 1.15.5.6ubuntu4.3
[ACTUALIZA] firefox 3.6.11~hg20100915r34578+nobinonly-0ubuntu1~umd1~lucid -> 3.6.11~hg20100928r34619+nobinonly-0ubuntu1~umd1~lucid
[ACTUALIZA] firefox-branding 3.6.11~hg20100915r34578+nobinonly-0ubuntu1~umd1~lucid -> 3.6.11~hg20100928r34619+nobinonly-0ubuntu1~umd1~lucid
[ACTUALIZA] firefox-gnome-support 3.6.11~hg20100915r34578+nobinonly-0ubuntu1~umd1~lucid -> 3.6.11~hg20100928r34619+nobinonly-0ubuntu1~umd1~lucid
[ACTUALIZA] gdm 2.30.2.is.2.30.0-0ubuntu3 -> 2.30.2.is.2.30.0-0ubuntu4
[ACTUALIZA] grub-common 1.98-1ubuntu7 -> 1.98-1ubuntu8
[ACTUALIZA] grub-pc 1.98-1ubuntu7 -> 1.98-1ubuntu8
[ACTUALIZA] libavahi-client3 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libavahi-common-data 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libavahi-common3 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libavahi-core6 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libavahi-glib1 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libavahi-gobject0 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libavahi-ui0 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] libbz2-1.0 1.0.5-4 -> 1.0.5-4ubuntu0.1
[ACTUALIZA] libgdiplus 2.4.2-1build1 -> 2.4.2-1ubuntu0.10.04.1
[ACTUALIZA] libgksu2-0 2.0.13~pre1-1ubuntu4 -> 2.0.13~pre1-1ubuntu4.1
[ACTUALIZA] liblircclient0 0.8.6-0ubuntu4.1 -> 0.8.6-0ubuntu4.2
[ACTUALIZA] libmikmod2 3.1.11-a-6.1 -> 3.1.11-a-6.1ubuntu0.1
[ACTUALIZA] libssl0.9.8 0.9.8k-7ubuntu8.1 -> 0.9.8k-7ubuntu8.2
[ACTUALIZA] linux-headers-2.6.32-25 2.6.32-25.43 -> 2.6.32-25.44
[ACTUALIZA] linux-headers-2.6.32-25-generic 2.6.32-25.43 -> 2.6.32-25.44
[ACTUALIZA] linux-image-2.6.32-24-generic 2.6.32-24.42 -> 2.6.32-24.43
[ACTUALIZA] linux-image-2.6.32-25-generic 2.6.32-25.43 -> 2.6.32-25.44
[ACTUALIZA] linux-libc-dev 2.6.32-25.43 -> 2.6.32-25.44
[ACTUALIZA] mencoder 2:1.0~rc3+svn20090426-1ubuntu16+medibuntu1 -> 2:1.0~rc3+svn20090426-1ubuntu16.1
[ACTUALIZA] mplayer 2:1.0~rc3+svn20090426-1ubuntu16+medibuntu1 -> 2:1.0~rc3+svn20090426-1ubuntu16.1
[ACTUALIZA] openoffice.org-base-core 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-calc 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-common 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-core 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-draw 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-emailmerge 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-gnome 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-gtk 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-impress 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-math 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-style-human 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openoffice.org-writer 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] openssl 0.9.8k-7ubuntu8.1 -> 0.9.8k-7ubuntu8.2
[ACTUALIZA] python-avahi 0.6.25-1ubuntu6 -> 0.6.25-1ubuntu6.1
[ACTUALIZA] python-uno 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] tar 1.22-2 -> 1.22-2ubuntu1
[ACTUALIZA] ttf-opensymbol 1:3.2.1-6ubuntu1~10.04.1 -> 1:3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] uno-libs3 1.6.1+OOo3.2.1-6ubuntu1~10.04.1 -> 1.6.1+OOo3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] ure 1.6.1+OOo3.2.1-6ubuntu1~10.04.1 -> 1.6.1+OOo3.2.1-6ubuntu2~10.04.1
[ACTUALIZA] xulrunner-1.9.2 1.9.2.11~hg20100915r34578+nobinonly-0ubuntu1~umd1~lucid -> 1.9.2.11~hg20100928r34619+nobinonly-0ubuntu1~umd1~lucid
A ver si alguien me puede echar cable, es que no se por donde meterle mano a esto. La poca info que he encontrado hacia referencia a la ram o eran temas en los que al final no se daba con la solución.
Última edición por adrian_sl el Sab Oct 02, 2010 10:33 pm, editado 1 vez en total.

Avatar de Usuario
mcun
Administrador
Administrador
Mensajes: 3888
Registrado: Lun Abr 19, 2010 12:30 am
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)
Contactar:

Re: kernel panic tras dist-upgrade Ubuntu 10.04

Mensaje por mcun »

Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

Avatar de Usuario
adrian_sl
Forista Nuevo
Forista Nuevo
Mensajes: 30
Registrado: Jue Dic 01, 2005 8:00 am

Re: kernel panic tras dist-upgrade Ubuntu 10.04

Mensaje por adrian_sl »

m[cun] escribió:fijate aquí o aquí
Es que a mi no me da el mismo error que en el primer enlace. ¿Es que todos los kernel panic se arreglan igual? No se, yo no he hecho ninguna cosa rara. Mi instalación actual varios meses funcionando correctamente, y ha sido esta ultima actualización la que me ha hecho que salga el kernel panic. No he compilado kernel y ni he hecho cambios en mis particiones recientemente, etc. Buscando en español "open /scripts/functions" solo sale un resultado y la pagina da error. Y de la la poca info que he encontrado en ingles no me entero bien, y en la mayoría al final no llegaban a una solución.

Editado -- Sab Oct 02, 2010 7:41 pm --

Pues ala, 8 horas después he conseguido arreglarlo. El problema era el find... desde hace unos días me di cuenta que me daba errores con algunos parámetros, y por lo visto mkinitramfs lo usa. Entonces al hacer el upgrade ayer, como llevaba actualización del kernel, este se generó mal, y por eso no podía iniciar. He reinstalado findutils y ya se ha generado la imagen bien para arrancar el kernel.
Espero que esto sirva de ayuda por si a alguien le sale el mismo error que a mí. Todo esto usando un liveusb y haciendo chroot.
Última edición por adrian_sl el Dom Oct 03, 2010 12:10 pm, editado 1 vez en total.

Avatar de Usuario
mcun
Administrador
Administrador
Mensajes: 3888
Registrado: Lun Abr 19, 2010 12:30 am
Ubicación: En una de las nalgas del culo del mundo (según la Bersuit Vergarabat)
Contactar:

Re: kernel panic tras dist-upgrade Ubuntu 10.04

Mensaje por mcun »

adrian_sl seguramente le servira a muchos gracias por compartir. una mas ;) por favor edita el titulo del primer mensaje y agrégale (SOLUCIONADO) así otros usuarios lo encontraran fácil mediante el buscador ;)
Los programadores de verdad no documentan. La documentación es para los idiotas que no pueden leer un volcado de memoria.

Trusted Network and Developer | Lee el Reglamento !! |WIKI-EL | Twitter @mr_mcun
Debian + TTY | ArchLinux + awesome | openSUSE + Gnome-Shell | Linux User #508809

Responder
  • Temas similares
    Respuestas
    Vistas
    Último mensaje